import request from '@/utils/request'

// 查询业务流程列表
export function allList(query) {
  return request({
    url: '/flowable/businessKey/allList',
    method: 'get',
    params: query
  })
}

// 统计业务流程列表
export function queryCount(query) {
    return request({
      url: '/flowable/businessKey/queryCount',
      method: 'get',
      params: query
    })
}

// 根据业务流程查询操作日志
export function findCommentByProcInsId(query) {
  return request({
    url: '/flowable/businessKey/findCommentByProcInsId',
    method: 'get',
    params: query
  })
}

// 根据条件查询我的代办任务
export function myAwaitFlowTaskList(query) {
  return request({
    url: '/flowable/businessKey/myAwaitFlowTaskList',
    method: 'get',
    params: query
  })
}

// 根据条件查询我的已办任务
export function myFinishedFlowTaskList(query) {
  return request({
    url: '/flowable/businessKey/myFinishedFlowTaskList',
    method: 'get',
    params: query
  })
}

// 查询我的代办数量
export function findMyTask(){
  return request({
    url: '/flowable/businessKey/findMyTask',
    method: 'get'
  })
}

